## golang-github-intel-goresctrl 0.2.0

=== Makefile ===
GO_CMD := go

Q := @

.PHONY: all ci-lint gofmt-verify test verify

all: test

verify: gofmt-verify ci-lint

gofmt-verify:
	@out=`gofmt -l -d $$(find . -name '*.go')`; \
	if [ -n "$$out" ]; then \
	    echo "$$out"; \
	    exit 1; \
	fi

ci-lint:
	golangci-lint run

test:
	$(Q)$(GO_CMD) test -v -coverprofile=coverage.txt ./pkg/...

=== debian/changelog ===
golang-github-intel-goresctrl (0.2.0-3) unstable; urgency=medium

  * Exclude sst pkg which only works on amd64

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 23 Feb 2022 01:50:21 +0800

golang-github-intel-goresctrl (0.2.0-2) unstable; urgency=medium

  * Source-only upload for test migration

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 22 Feb 2022 00:02:52 +0800

golang-github-intel-goresctrl (0.2.0-1) unstable; urgency=medium

  * Initial release

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 21 Feb 2022 01:13:33 +0800

=== debian/control ===
Source: golang-github-intel-goresctrl
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Shengjing Zhu <zhsj@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-google-go-cmp-dev,
               golang-github-hashicorp-go-multierror-dev,
               golang-github-prometheus-client-golang-dev,
               golang-k8s-sigs-yaml-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-intel-goresctrl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-intel-goresctrl.git
Homepage: https://github.com/intel/goresctrl
XS-Go-Import-Path: github.com/intel/goresctrl

Package: golang-github-intel-goresctrl-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-prometheus-client-golang-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends},
Description: Go library for managing resctrl filesystem
 The goresctrl library provides Go interface to manage following
 resources.
 .
  * CPU cache allocation and memory bandwidth.
  * CPU frequency in core granularity.
  * Storage I/O scheduler priority and bandwidth.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd pkg/blockio pkg/cgroups pkg/sst
export DH_GOLANG_INSTALL_EXTRA := test/data

%:
	dh $@ --builddirectory=_build --buildsystem=golang

## golang-github-intel-goresctrl 0.3.0

=== debian/changelog ===
golang-github-intel-goresctrl (0.3.0-2) unstable; urgency=medium

  * Add patch to skip test which doesn't work in schroot

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Oct 2022 16:42:50 +0800

golang-github-intel-goresctrl (0.3.0-1) unstable; urgency=medium

  * New upstream release 0.3.0
  * Update Standards-Version to 4.6.1 (no changes)
  * Include blockio cgroups packages
  * Vendor partial k8s resource package

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Oct 2022 12:01:00 +0800

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,13 @@
                golang-any,
                golang-github-google-go-cmp-dev,
                golang-github-hashicorp-go-multierror-dev,
+               golang-github-opencontainers-runtime-spec-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-golang-x-sys-dev,
+               golang-gopkg-inf.v0-dev,
                golang-k8s-sigs-yaml-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-intel-goresctrl
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-intel-goresctrl.git
 Homepage: https://github.com/intel/goresctrl
@@ -21,7 +24,11 @@
 Package: golang-github-intel-goresctrl-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-prometheus-client-golang-dev,
+Depends: golang-github-hashicorp-go-multierror-dev,
+         golang-github-opencontainers-runtime-spec-dev,
+         golang-github-prometheus-client-golang-dev,
+         golang-golang-x-sys-dev,
+         golang-gopkg-inf.v0-dev,
          golang-k8s-sigs-yaml-dev,
          ${misc:Depends},
 Description: Go library for managing resctrl filesystem

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := cmd pkg/sst
export DH_GOLANG_INSTALL_EXTRA := test/data

%:
	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/intel/goresctrl/tags .*/v?(\d\S*)\.tar\.gz debian
